Commit 796e18f1 authored by spxtr's avatar spxtr

Add a build rule for the boilerplate unit test.

parent f5d9c430
......@@ -474,4 +474,4 @@ bazel-build:
bazel build //cmd/... //pkg/... //federation/... //plugin/... //build/... //examples/... //test/... //third_party/...
bazel-test:
bazel test --test_output=errors //cmd/... //pkg/... //federation/... //plugin/... //build/... //third_party/...
bazel test --test_output=errors //cmd/... //pkg/... //federation/... //plugin/... //build/... //third_party/... //hack/...
package(default_visibility = ["//visibility:public"])
exports_files(glob(["*.txt"]))
py_test(
name = "boilerplate_test",
srcs = [
"boilerplate_test.py",
"boilerplate.py",
],
data = glob(["*.txt", "test/*"]),
)
......@@ -25,22 +25,6 @@ boiler="${boilerDir}/boilerplate.py"
files_need_boilerplate=($(${boiler} "$@"))
# Run boilerplate.py unit tests
unitTestOut="$(mktemp)"
trap cleanup EXIT
cleanup() {
rm "${unitTestOut}"
}
pushd "${boilerDir}" >/dev/null
if ! python -m unittest boilerplate_test 2>"${unitTestOut}"; then
echo "boilerplate_test.py failed"
echo
cat "${unitTestOut}"
exit 1
fi
popd >/dev/null
# Run boilerplate check
if [[ ${#files_need_boilerplate[@]} -gt 0 ]]; then
for file in "${files_need_boilerplate[@]}"; do
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment